import unittest
import util

from hutn_compiler.compiler import main
import json

def compile_file(obj, filename):
    result = main(util.get_code_path(filename), "grammars/actionlanguage.g", "CS", [])
    try:
        expected = json.loads(open(util.get_expected_path(filename)).read())
    except:
        #f = open(util.get_expected_path(filename), 'w')
        #f.write(json.dumps(result))
        #f.close()
        pass
    assert result == expected

class TestReal(unittest.TestCase):
    def test_fibonacci(self):
        compile_file(self, "fibonacci.al")

    def test_fibonacci_smart(self):
        compile_file(self, "fibonacci_smart.al")

    def test_factorial(self):
        compile_file(self, "factorial.al")

