import sys

from compile import do_compile
from link_and_load import link_and_load
import random
import multiprocessing

address = sys.argv[1]
username = sys.argv[2]
files = sys.argv[3:]


def do_compile_wrapper(filename):
    do_compile(address, filename, str(random.random()), filename, "CO")

p = multiprocessing.Pool(multiprocessing.cpu_count())
p.map(do_compile_wrapper, files)

link_and_load(address, username, files, True)
